Actualizar WordPress en 4 pasos

Y, sobre todo en menos de 10 minutos con una conexión a Internet decente.

wp-install.jpg

El proceso de actualización pasa por estos sencillos 4 pasos si es una actualización mayor, como de la 2.2 a la 2.3. Si es  una actualización menor, de 2.2.1 a 2.2.2 o cualquiera de sus sub-actualizaciones, nos ahorramos dos pasos que te comento al final.

La lista de pasos «mayor» es esta:

  1. Descarga la nueva versión y la descomprimes en tu ordenador
  2. Desactiva los plugins instalados en tu instalación actual (todos)
  3. Sube los ficheros de la nueva instalación a tu servidor pero no sobreescribas la carpeta wp-content. Por si acaso haz copia de esta carpeta en tu ordenador antes de actualizar y así salvaguardar tus plugins, temas y archivos subidos.
  4. Visita la página : http://tublog.com/wp-admin/upgrade.php para actualizar la base de datos.

Estos son los pasos para una actualización mayor, si la actualización es menor te saltas los pasos 2 y 4. Solo pasa por tu panel de administración para comprobar en el pié de página que has actualizado y ya está.

VALORA Y COMPARTE ESTE ARTÍCULO PARA MEJORAR LA CALIDAD DEL BLOG…
(5 votos, promedio: 5)

¿Te gustó este artículo? ¡Ni te imaginas lo que te estás perdiendo en YouTube!

AVISO: Esta publicación es de hace 3 años o más. Si es un código o un plugin podría no funcionar en las últimas versiones de WordPress, y si es una noticia podría estar ya obsoleta. Luego no digas que no te hemos avisado.

91 comentarios en “Actualizar WordPress en 4 pasos”

  1. Desde que cambie la interfaz de mi dashboard con un skin llamado niceadmin se me borró la información de la versión que salia en el pie de página,¿es algún error del skin?

  2. Pingback: Diseño paginas web Málaga (España) - JUANPOL / IMAGEN DIGITAL INTERACTIVA - Archivo » Actualización WordPress - Desarrollo de aplicaciones interactivas / Páginas web / Blogs / Comercio electrónico

  3. Pingback: ¡Wordpress 2.5 puede salir mañana!

  4. Yo todavía no actualizaré. Creo que no será la única actualización que veremos en pocos días.

    Tienen que hacer algo ya con el excesivo número de peticiones al servidor. No hay servidor que lo soporte!

    Qué opináis del plugin SuperCache? Es mejor que WP-Cache?

  5. Pues de momento parece que se ha solucionado lo del fallo de la edición de minuto en los posts 🙂

    cavalleto, tengo leído que es mejor SuperCache pero no los he probado.

    (por cierto, te equivocaste de post … creo)

  6. Pingback: WordPress 2.5.1 disponible | Incubaweb

  7. Pingback: Actualización de Wordpress 2.5 a la versión 2.5.1 | GeeksRoom

  8. Pingback: Fue como la primera vez | Punto Fape

  9. Pingback: Iban Dorta » Blog Archive » Actualizar Wordpress a la versión 2.5

  10. Pingback: Como actualizar a Wordpress 2.5 | Prensa Canalla

  11. Muchas gracias. Mi blog nacio el día que la versión 2.6

    Te voy a agradecer por esta guía en mi primer post.

    Abrazos. 😉

  12. Fernando, podrian actualizar la guia para la 2.6 :P, creo que será algo distinto, me da un ‘poco de cosa’ seguir una guia de la 2.2 o 2.3!
    salu2
    —————————–
    en el foro encontré un hilo abierto
    a esperar 😛

  13. Pingback: WordPress 2.6 en castellano « El Cubanito Web

  14. Pingback: Nueva versión de Wordpress 2.6.1 | Mundoblog.es

  15. Pingback: Color Personal actualizado | Color Personal

  16. Pingback: En una de Actualización a Wordpress 2.6.3

  17. Que sucede si no desactivo los plugins?

    Realize la actualizacion en mi localhost de WordPress 2.6.2 al beta 1 de la 2.7, sin desactivarlos… Y parece que marcha todo bien…

    Cual es el riesgo?

    O es una medida de precaucion en caso de que alguin plugin sea incompatible?

    Como te digo en cada comentario, excelente blog, sigue asi!!!

  18. El riesgo es que no puedas entrar en tu blog por alguna incompatibilidad, algo bastante frecuente. Muchas veces no sucede nada pero otras es un rato malo el que pasas, si te lo puedes evitar mejor 😉

  19. Pingback: Actualizacion a 2.6.3 de Wordpress: TKLolicon Blog

  20. El wp-config.php siempre es bueno hacer copia de el, pero con no sustituirlo por otra cosa ya está. No te preocupes, la actualización de WP no sube un wp-config.php sino un wp-config-sample.php que nunca sobrescribirá el tuyo 🙂

  21. La verdad es que desde que descubri esta pagina me paso por aqui todos los dias, me parece que es la mejor pagina en español para enterarc de las noticias wordpress….sigan asi!!! Felicitaciones!!

  22. Hola, es mi primer comentario en el blog. Yo quiero actualizar porque ya estoy en la prehistoria de WP con la 1.5.2, mi idea es ir a la 2.6.2 hasta que se arreglen los problemas con la 2.7 o ver que pasa en estos dias con la 2.7.1

    Entonces, debo seguir los cuatro pasos como lo señalas o hay alguna otra cosa que hacer?

    1. @marcosfv: En tu caso hay mas pasos, y el primero es comprobar las versiones de PHP del servidor, que sean la 4 o superiores. También debes comprobar que los plugins que usas hay versiones para WP 2.6.x, que puede que alguno sea demasiado veterano. También el wp-config.php y algunas cosillas mas son algo distintas, revisa antes la documentación de instalación de los nuevos WP, que son algo distintas a la que tu instalaste en tu día. Otra cosa es la plantilla. Seguramente no tenga soporte de widgets ni de tags y esas cosas "modernas". En principio no son necesarias, pero si quieres aprovechar todas las nuevas funcionalidades revisa en el buscador del blog como añadirle soporte de esas cuestiones. Otra cosa es que la plantilla use funciones ya abandonadas, que deberías actualizar, tenlo en cuenta. Por último, instala la 2.6.5 que es una versión sin fallos de seguridad, la 2.6.2 tiene alguna "cosilla" quizás vulnerable … o pásate a la 2.7 directamente, pues en nada actualizarás y creo que no merece la pena perder tiempo. Esta versión va muy bien si antes haces una pequeña comprobación.

      En cualquier caso, te recomiendo que antes de actualizar tu blog "a pelo", pruebes tu plantilla y plugins, etc, en una carpeta de tu servidor (p.ej: buenasnuevasparaelmundo.com/pruebas/). Instalas ahí tu versión actual de WP, pones tu plantilla, exportas/importas tus posts, pruebas los plugins u otros nuevos, etc. Luego instalas la nueva versión de WP y vuelta a comprobar. Una vez compruebes como se comporta, cojas confianza con la instalación, etc, ya te animas y actualizas tu versión actual en el blog real 😉

  23. Pingback: Es Lo Que Hay x hoy » Actualizar Wordpress en 4 pasos

  24. Pingback: Por fin actualice Wordpress | Queni™

  25. en su ranking de novatos, avanzados y expertos me considero "avanzado" y todo gracias a google y a ustedes ^^ muchas gracias, sigan asi.

  26. Normalmente suele funcionar, de hecho no tiene porque no hacerlo, el problema viene cuando hemos "trasteado" más de la cuenta en el corazón del blog, como yo siempre digo "en teoria la teoria es igual que la práctica pero en la práctica no".

  27. hola actualize mi version de 2.7.1 a la 2.8.4

    y todo bien con esepcion de unos errores q me salen en enlaces y es

    RSS Error: WP HTTP Error: Failed to connect to blogsearch.google.com IP number 1: Permission denied

    eso me sale en el tablero.

    que significa????

  28. en enlaces entrantes

    RSS Error: WP HTTP Error: Failed to connect to blogsearch.google.com IP number 1: Permission denied

    otras noticias de wordpress

    RSS Error: WP HTTP Error: Failed to connect to blogsearch.google.com IP number 1: Permission denied

    ahi salen

    en el tablero.

      1. hola

        sigo con el problema…

        a que se debe que salgan esos errores

        cuando quiero poner un rss. no me resulta y me sale ese error

        RSS Error: WP HTTP Error: Failed to connect to feeds.feedburner.com IP number 1: Permission denied

        ayudame porfa

        1. Es muy simple: tu servidor no permite conectar a servicios externos… Por esas cosas ¿no estas usando algún servicio gratuito? Una vez me ocurrio con uno, por eso te pregunto…

    1. Ahí tienes tu problema y, ahora que reviso tu blog, me doy cuenta que usas FreeHostia: ese servicio niega las peticiones HTTP salientes, por eso el error.

      Mi consejo: cambiate de hosting. El único que conozco y que es de una calidad decente, las limitaciones no son "tantas", es 000webhost. Yo lo use durante un tiempo y no tengo quejas mayores.

      Saludos!

  29. me gustaria pero no me

    aceptan

    el otr dia cree un correo nuevo envie la solicitrud y me enviaron un correo de "afiliate a 000webhost gana dienero promocionando etc."

    no se que hacer

    conoces otro?

    1. Si, pero ese es el más decente que conosco… Los otros tienen limitaciones demasiado estúpidas o incomprensibles… Mi consejo: espera que se libere el servicio gratuito de Host1Plus llamado Host1Free ya que promete ser diferente a los demás… vamos a ver si cumple esa promesa…

      Saludos!

  30. Pingback: Actualizar Wordpress en 4 pasos | Ayuda WordPress

  31. Gracias Fernando!
    Por si falla el upgrade (a mi me ha pasado) se puede, primero, exportar el archivo xml (herramientas–>exportar) del blog y guardar.
    Subir la nueva versión, crear una nueva base de datos; quedaria un blog "virgen" versión actualizada, importar entonces el xml.
    Saludos 🙂

  32. Saludos, apenas tengo unas semanas con wl WordPress V.2.9.2, pero en ingles, me pueden ayudar a pasarla a español.

    Gracias.

  33. Tengo instalada la version 2.8.4, y quisiera actualizarla a la ultima, la 2.9.2. ¿Este metodo que mencionan en el articulo me sirve para hacer esta actualizacion?

    Muchas gracias y saludos

  34. Acabo de instalar la ultima versión de WordPress todo va bien, sin embargo cuando quise actualizar un tema que me gustó me pidió que ingrese el nombre del servidor, el usuario y contraseña. Le puse localhost, admin y contraseña y me salió un mensaje que dice: "imposible conectarse con el servidor FTP localhost:21".

    Espero su pronta respuesta.

  35. Hola yo soy nueva en todo esto, y me hago una pregunta que quizas parezca una tonteria , pero si instalo una version nueva (busco version en español) no se me borra todo lo que ya tenia y tengo que comenzar desde 0 ?

    Espero que alguien me responda, por que no tengo ni idea de esto
    Gracias
    Dejo mi perfil en facebook por si alguien me deja un mensaje por alli de como soluciono mi problema
    Gracias
    http://www.facebook.com/#!/profile.php?id=1000000

  36. ¿lo has probado? a instalar la nueva versión en español digo ?¿ No se deberia borrar nada..

    Esto es lo que dice es.wordpress.org:

    También, si lo deseas, puedes descargar el paquete completo y usar solo el archivo de la traducción sobre una instalación en inglés. Para ello encontrarás el fichero ‘es_ES.mo‘ que deberás subir a la carpeta ‘/wp-content/languages/‘ y, posteriormente, comprobar que en el fichero ‘wp-config.php‘ de la carpeta raíz de tu instalación el siguiente valor está definido de este modo:

    define ('WPLANG', 'es_ES');

    pero a veces da problemas. Para mi lo mejor instalar de nuevo con el idioma elegido (y el contenido del blog exportado)

  37. Necesito actualizar mi WP 3.0 a la última versión que salio ayer o anteayer ¿Estos pasos sirven para esta versión o se hace de otra manera?

  38. Hola a todos,
    Yo he intentado actualizarlo «a las bravas», pensé que era sencillo… y debe haber alguna incompatibilidad de plugins, y no puedo acceder al panel de control, en definitiva, que no tengo manera humana de probar, alguna idea?

  39. Hola a todos,
    Yo he intentado actualizarlo "a las bravas", pensé que era sencillo… y debe haber alguna incompatibilidad de plugins, y no puedo acceder al panel de control, en definitiva, que no tengo manera humana de probar, alguna idea?

  40. Disculpa una pregunta , tengo una pagina instalada con wordpress , y me esta pidiendo que actualice a 3.2.1  , si actualizo  tengo que bajar mi pagina web ? como se hace el proceso ?.

    saludoss

  41. Disculpa una pregunta , tengo una pagina instalada con wordpress , y me esta pidiendo que actualice a 3.2.1  , si actualizo  tengo que bajar mi pagina web ? como se hace el proceso ?.

    saludoss

  42. hola he seguido los cuatro pasos, y ahora al entrar me da el siguiente error:
    No se pudo elegir base de datos

    Hemos podido conectar con el servidor de la bases de datos (lo que
    significa que tu nombre de usuario y la contraseña están correctos) pero
    no se pudo elegir la base de datos DB550321.

    ¿Estás seguro que existe?¿El usuario U550231 tiene permiso para utilizar la base de datos /code>?En algunos sistemas el nombre de la base de datos es el prefijo con el nombre de usuario, que sería como username_DB550321. ¿Podría ser ésto el problema?

    Si no sabes cómo configurar una base de datos debes ponerte en contacto con el administrador de su hosting. Si todo lo demás falla puedes encontrar ayuda en los Foros de Soporte de WordPress.
    No tengo ni idea de qué hacer, la verdad es que soy novata en todo esto y me pierdo, si me puedes prestar ayuda te lo agradezco.

    1. Ahi no te queda más que contactar con tu proveedor de hosting, seguramente sea porque el servidor no sea localhost, o que la base de datos o usuario no sean el correcto. Pero vamos, que por lo que comentas, y pasa mucho en 1&1, el host no sea localhost. Lo dicho, pregunta a tu proveedor. 😉

  43. Hola, me gusto el post, pero tengo una pregunta.

    Tengo un sitio web con WP 3.3.1, y me gustaría que los usuarios registrados puedan tener cada uno su propio blog interno.
    ¿De que puedo hacer que cada usuario tenga su propio blog interno en mi sitio?

    gracias de antemano y saludos.

  44. Que tal Fernando, sabes que actualice uno de mi blogs en wordpress a la version mas reciente wordpress-3.3.1-es_ES, el blog esta visible, pero no puedo entrar al wp-admin (en este caso me aparece la pagina en blanco), despues ingreso con wp-login y al darle clave y contraseña y clic en acceder, nuevamente me manda a una pagina en blanco y por lo tanto no puedo acceder al panel de control.

    Realice una prueba de recuperacion de contraseña y ese paso si me lo acepto, me mando un correo para reestablecerla y lo hice. Per acceder al panel de administracion  no pude.

    Igual puede ser un plugin que este afectando, pero como saber, si no los puedo desactivar?.

    Bueno agradezco tu ayuda.

    JUAN ANTONIO AVILA

  45. Seguramente algo se actualizó mal, sube de nuevo todo (menos wp-content) por ftp y seguramente se arregle.

    Por supuesto, siempre hay que desactivar plugins antes de actualizar, precisamente por si alguno no se ha actualizado a la nueva versión. En cualquier caso prueba a desactivar todos por ftp renombrado la carpeta plugins a ver si así se arregla.

    1. Estoy en el mismo caso, wp-admin se me queda en blanco, wp-login me dice «not found». He reinstalado todo y sigue igual. He desactivado los plugins (cambiando el nombre de la carpeta) y nada…. Como no puedo acceder a la zona de administrador no tengo muchas opciones….

    2. Ya está solucionado, tras un montón de pruebas, he detectado que estaban mal los permisos de wp-login.php
      Gracias y un saludo!

    1. El contenido no se te puede haber borrado, está en la base de datos. Sube de nuevo todo porque algo no ha subido bien. Te recuerdo, como siempre, que no se debe subir la carpeta «wp-content».

  46. lascosasdepaula

    que pasa si no se actualiza worpress?? lo digo por que no me atrevo a tocar nada ya que la persona que me llevaba el mantenimiento de el blog ya no me lo lleva… y claro si toco algo lo mismo la lio.. si no actualizo se pierde algo? o pasa algo?? por que tengo 6 pugins sin actualizar y worpress.. si me pudieras contestar a [email protected] te lo agradeceria.

  47. No puedo actualisar mi blog de word press a 3.5.1 y eso que estoy usando el word press 3.5 cuqndo actuliso a word press 3.5.1 me sale un aviso que dice que debo liberar espacio en el disco….

  48. Pingback: WordPress 2.6 Final Publicado

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

 

Ir arriba Ir al contenido